« Back to channel list

#RubyOnRails - 28 October 2018

Forward 1 day »
[21:43:02] helpa: has joined #RubyOnRails
[21:43:11] Radar: !botsnack
[21:43:11] helpa: Nom nom. Thanks, Radar!
[21:43:16] Radar: aruns: !rule0
[21:43:16] helpa: aruns: Show rather than tell. Explaining your problem with code, stacktraces or errors is always preferred to explaining it with just text. Show us what's happening, rather than telling us. Put the code on https://gist.github.com and then give us the HTTP link to the Gist.
[21:43:27] Radar: "throwing errors" is not as helpful as actually showing the code + errors :)
[22:04:27] aruns: Hi sorry Radar, here is my project on GH: https://github.com/ArunSahadeo/heraldify
[22:05:59] aruns: Ignore line 6 of the Rakefile.
[22:07:18] roshanavand: has joined #RubyOnRails
[22:21:10] Radar: aruns: I'm still not seeing any errors?
[22:22:06] ghormoon: has joined #RubyOnRails
[22:26:54] aruns: Radar: If I copy the Rakefile contents in https://github.com/janko-m/sinatra-activerecord for my app, and do it for './lib/heraldify.rb', it seems to have difficulty processing the require statements.
[22:27:07] Radar: aruns: did you follow the readme?
[22:27:19] aruns: I registered the extension in my main class.
[22:27:23] warrshrike: has joined #RubyOnRails
[22:27:49] aruns: I have the sinatra-activerecord and pg gems in my Gemfile.
[22:28:16] aruns: I don't need to set the database file as I have config/database.yml
[22:28:44] aruns: I have the 'sinatra/activerecord' require statement in lib/heraldify.rb
[22:29:38] warrshrike: has left #RubyOnRails: ()
[22:30:51] aruns: I have done everything according to the README.
[22:31:03] aruns: Rake seems to have issues processing the require statements.
[22:31:14] apeiros: has joined #RubyOnRails
[22:32:13] aruns: Locally, I have 'rake' added to my Gemfile also.
[22:32:18] aruns: But it still doesn't work.
[22:33:10] aruns: Any ideas?
[22:34:16] apeiros: has joined #RubyOnRails
[22:41:50] helpa: has joined #RubyOnRails
[22:44:26] helpa: has joined #RubyOnRails